# Uses of Class
it.tdlight.jni.TdApi.CallProtocol

## Uses of TdApi.CallProtocol in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.CallProtocol
Modifier and Type
Field
Description
`TdApi.CallProtocol`
TdApi.AcceptCall.`protocol`
The call protocols supported by the application.
`TdApi.CallProtocol`
TdApi.CallStateReady.`protocol`
Call protocols supported by the other call participant.
`TdApi.CallProtocol`
TdApi.CreateCall.`protocol`
The call protocols supported by the application.
Constructors in it.tdlight.jni with parameters of type TdApi.CallProtocol
Modifier
Constructor
Description
``
`AcceptCall(int callId, TdApi.CallProtocol protocol)`
Accepts an incoming call.
``
`CallStateReady(TdApi.CallProtocol protocol, TdApi.CallServer[] servers, String config, byte[] encryptionKey, String[] emojis, boolean allowP2p)`
The call is ready to use.
``
`CreateCall(long userId, TdApi.CallProtocol protocol, boolean isVideo)`
Creates a new call.